Page 1 of 2 12 LastLast
Results 1 to 40 of 46

Thread: current version 3.5 and now want to upgrade website with latest 4.8

  1. #1
    New user
    Join Date
    08-20-19.
    Posts
    22

    Default current version 3.5 and now want to upgrade website with latest 4.8

    Hello

    I have tried to upgrade website with latest 4.8 version and some below version 4.1, 4.2 and etc.

    but not getting success. it's hard to upgrade Contao CMS. Can you please provide us steps so I can upgrade it with the latest version.


    I have also trying the installation process which is provided in google but same getting error.

    Please provide us your feedback.

  2. #2
    Community-Moderator xchs's Avatar
    Join Date
    06-19-09.
    Posts
    1,149

    Default

    Quote Originally Posted by brokkoli View Post
    I have tried to upgrade website with latest 4.8 version and some below version 4.1, 4.2 and etc.
    You should only update to either version 4.4 or 4.8. Other versions (4.1, 4.2 etc.) are no longer supported.

    Quote Originally Posted by brokkoli View Post
    but not getting success. it's hard to upgrade Contao CMS. Can you please provide us steps so I can upgrade it with the latest version.
    Please elaborate what you have done so far.

    Quote Originally Posted by brokkoli View Post
    I have also trying the installation process which is provided in google but same getting error.
    What's that supposed to be?
    Contao Community Moderator
    → Support options

  3. #3
    New user
    Join Date
    08-20-19.
    Posts
    22

    Default

    Quote Originally Posted by xchs View Post
    You should only update to either version 4.4 or 4.8. Other versions (4.1, 4.2 etc.) are no longer supported.


    Please elaborate what you have done so far.


    What's that supposed to be?

    => Comment : If we are hit this url (https://download.contao.org/4.4) so we are getting this error : "Contao 4.4.37 is not available as .zip download. Please use the Contao Manager or Composer to install Contao. See https://contao.org/en/download.html for more information."

    and if using this url (https://download.contao.org/4.8) : So getting "Invalid Parameter" Error.

    Please let me know your response.

  4. #4
    Community-Moderator xchs's Avatar
    Join Date
    06-19-09.
    Posts
    1,149

    Default

    Yeah. Contao is no longer available as a ZIP archive. So this is what you should do:

    Quote Originally Posted by brokkoli View Post
    Please use the Contao Manager or Composer to install Contao. See https://contao.org/en/download.html for more information."
    Contao Community Moderator
    → Support options

  5. #5
    New user
    Join Date
    08-20-19.
    Posts
    22

    Default

    Yes actually tried for the same.. But its giving error that your version is old and its not support to direct update it to 4 as we have 3.x version

    So trying to manually setup version 4.8

    Basically require steps how to upgrade from 3.x to 4.8 or latest version of contao

  6. #6
    Community-Moderator xchs's Avatar
    Join Date
    06-19-09.
    Posts
    1,149

    Default

    Quote Originally Posted by brokkoli View Post
    But its giving error that your version is old and its not support to direct update it to 4 as we have 3.x version
    Which Contao version is the website currently running with? To upgrade to Contao 4, you must first update the installation to Contao 3.5.40. As soon as you are on Contao 3.5, you can update the installation by following e.g. this tutorial: https://www.gruenfisch-webdesign.de/...f-4-4-lts.html
    Contao Community Moderator
    → Support options

  7. #7
    New user
    Join Date
    08-20-19.
    Posts
    22

    Beitrag

    Quote Originally Posted by xchs View Post
    Which Contao version is the website currently running with? To upgrade to Contao 4, you must first update the installation to Contao 3.5.40. As soon as you are on Contao 3.5, you can update the installation by following e.g. this tutorial: https://www.gruenfisch-webdesign.de/...f-4-4-lts.html
    Comment : As I have uploaded a file for "Check" and getting the message this "You can install Contao 4.x on this server." but when I click on Install Contao button then display "Target version is showing only 3.4.50 (LTS)". There is no option to install 4.x version.

    Check screenshots:

    1.) https://nimb.ws/eUbgNd
    2.) https://nimb.ws/LnkIRN

    Please help me to fix this problem asap.

  8. #8
    Community-Moderator xchs's Avatar
    Join Date
    06-19-09.
    Posts
    1,149

    Default

    You cannot install Contao 4 with the Contao Check (as you've already noticed, this only works for Contao 3).

    Use the Contao Manager to install Contao 4.4 (LTS) or Contao 4.8.
    Contao Community Moderator
    → Support options

  9. #9
    New user
    Join Date
    08-20-19.
    Posts
    22

    Default

    Quote Originally Posted by xchs View Post
    You cannot install Contao 4 with the Contao Check (as you've already noticed, this only works for Contao 3).

    Use the Contao Manager to install Contao 4.4 (LTS) or Contao 4.8.
    comment : I have also trying to install contao using this link : https://example.com/contao-manager.phar.php but its showing blank screen. i have also made /web folder and upload phar files inside.

    but not getting success. pls let me know your response.

  10. #10
    Community-Moderator xchs's Avatar
    Join Date
    06-19-09.
    Posts
    1,149

    Default

    Quote Originally Posted by brokkoli View Post
    i have also made /web folder and upload phar files inside.
    Is the web/ subfolder the DocumentRoot of your domain?
    Contao Community Moderator
    → Support options

  11. #11
    New user
    Join Date
    08-20-19.
    Posts
    22

    Default

    Quote Originally Posted by xchs View Post
    Is the web/ subfolder the DocumentRoot of your domain?
    Yes

  12. #12
    Community-Moderator xchs's Avatar
    Join Date
    06-19-09.
    Posts
    1,149

    Default

    Can you post the URL here? Then I'll have a look.
    Contao Community Moderator
    → Support options

  13. #13
    New user
    Join Date
    08-20-19.
    Posts
    22

    Default

    Quote Originally Posted by xchs View Post
    Can you post the URL here? Then I'll have a look.



    Hi Actually, i have to install contact-manager properly and now if I run URL : https://example.com/contao/install so it is giving me an error.

    Please check screenshots : https://nimb.ws/hj1fVn


    Please check also folder path and let me know if have any problem. folder-path.jpg
    Last edited by brokkoli; 08/29/2019 at 14:43.

  14. #14
    Community-Moderator xchs's Avatar
    Join Date
    06-19-09.
    Posts
    1,149

    Default

    Again: What is the URL where you want to install Contao? Is it http://yakee1.de ? If yes you should remove the Sedo Domain Parking thing.

    I also cannot access the Contao Manager via http://yakee1.de/contao-manager.phar.php


    It's wrong if you have to open the Contao Manager via http://yakee1.de/web/contao-manager.phar.php. As I already said above you would have to set the DocumentRoot of http://yakee1.de/ to the web/ subfolder, so that you can open the Contao Manager via http://yakee1.de/contao-manager.phar.php
    Last edited by xchs; 08/30/2019 at 12:44.
    Contao Community Moderator
    → Support options

  15. #15
    Community-Moderator xchs's Avatar
    Join Date
    06-19-09.
    Posts
    1,149

    Default

    It seems that it now works after you have set DocumentRoot correctly.
    Contao Community Moderator
    → Support options

  16. #16
    New user
    Join Date
    08-20-19.
    Posts
    22

    Default

    Quote Originally Posted by xchs View Post
    It seems that it now works after you have set DocumentRoot correctly.

    Yes its working but don't show home page when hit this url : https://www.yakee1.de/

  17. #17
    Community-Moderator xchs's Avatar
    Join Date
    06-19-09.
    Posts
    1,149

    Default

    Check the error log in var/logs to see what's going wrong.
    Contao Community Moderator
    → Support options

  18. #18
    New user
    Join Date
    08-20-19.
    Posts
    22

    Default

    Quote Originally Posted by xchs View Post
    Check the error log in var/logs to see what's going wrong.
    As i have follow instructions of this link : https://www.gruenfisch-webdesign.de/...f-4-4-lts.html

    Please let me know what i do.


    request.CRITICAL: Uncaught PHP Exception Exception: "Could not find template "j_slider"" at /homepages/19/d620206614/htdocs/yakee1.de/vendor/contao/core-bundle/src/Resources/contao/library/Contao/TemplateLoader.php line 160
    Last edited by brokkoli; 08/30/2019 at 15:26.

  19. #19
    Community-Moderator xchs's Avatar
    Join Date
    06-19-09.
    Posts
    1,149

    Default

    Edit your page layout(s) and select the js_slider template (the j_slider template does not exist anymore as of Contao 4.4). Then save your page layout(s) and try again.
    Contao Community Moderator
    → Support options

  20. #20
    New user
    Join Date
    08-20-19.
    Posts
    22

    Default

    Quote Originally Posted by xchs View Post
    Edit your page layout(s) and select the js_slider template (the j_slider template does not exist anymore as of Contao 4.4). Then save your page layout(s) and try again.
    Can you please give instructions for edit page layout?

  21. #21
    Community-Moderator xchs's Avatar
    Join Date
    06-19-09.
    Posts
    1,149

    Default

    In German:

    Layout > Themes > Seitenlayouts des Theme ID x bearbeiten > Seitenlayouts über das Bleistifticon bearbeiten > Abschnitt "JavaScript"

    In English:

    Layout > Themes > Edit the page layouts of theme ID x > Edit the page layouts with the pencil icon > Section "JavaScript"
    Contao Community Moderator
    → Support options

  22. #22
    Community-Moderator xchs's Avatar
    Join Date
    06-19-09.
    Posts
    1,149

    Default

    Since from Contao 4 on all resources are protected by default, you have to publish all folders in the file manager which should be publicly accessible first:

    German back end:

    System > Dateiverwaltung > Öffne die Ordnereinstellungen über das Bleistifticon > Aktiviere die Checkbox "Öffentlich"

    English back end:

    System > File manager > Edit the folder settings with the pencil icon > Set the "Public" checkbox


    Do this for all folders that should publicly accessible (e.g. your folder cto_layout/ etc.).
    Contao Community Moderator
    → Support options

  23. #23
    New user
    Join Date
    08-20-19.
    Posts
    22

    Default

    Quote Originally Posted by xchs View Post
    Since from Contao 4 on all resources are protected by default, you have to publish all folders in the file manager which should be publicly accessible first:

    German back end:

    System > Dateiverwaltung > Öffne die Ordnereinstellungen über das Bleistifticon > Aktiviere die Checkbox "Öffentlich"

    English back end:

    System > File manager > Edit the folder settings with the pencil icon > Set the "Public" checkbox


    Do this for all folders that should publicly accessible (e.g. your folder cto_layout/ etc.).

    Comment : As I want to upgrade Contao 3.5 to 4.8 and I have uploaded files and templates files in 4.8 but It is not showing properly as it was. can you please help me with this?

    Also sub menu or inner pages are not working. pls let me know about this also.
    Last edited by brokkoli; 08/31/2019 at 08:57.

  24. #24
    Community-Moderator xchs's Avatar
    Join Date
    06-19-09.
    Posts
    1,149

    Default

    No, sorry, I cannot, I currently only see the maintenance page.

    Check the changes between version 3.5 and 4.8 and if they might affect you: https://github.com/contao/contao/blob/master/UPGRADE.md
    Last edited by xchs; 08/31/2019 at 10:59.
    Contao Community Moderator
    → Support options

  25. #25
    New user
    Join Date
    08-20-19.
    Posts
    22

    Default

    Quote Originally Posted by xchs View Post
    No, sorry, I cannot, I currently only see the maintenance page.

    Please check now. I have disabled maintenance mode.
    Last edited by brokkoli; 08/31/2019 at 11:24.

  26. #26
    Community-Moderator xchs's Avatar
    Join Date
    06-19-09.
    Posts
    1,149

    Default

    Which version of Contao are you currently using? If it is still version 4.8.0, you should update to Contao 4.8.1 using the Contao Manager.
    Contao Community Moderator
    → Support options

  27. #27
    New user
    Join Date
    08-20-19.
    Posts
    22

    Default

    Quote Originally Posted by xchs View Post
    Which version of Contao are you currently using? If it is still version 4.8.0, you should update to Contao 4.8.1 using the Contao Manager.

    Yes current version is 4.8.1 now. but it does not show look like my original website( live website with 3.5 version) . and also there is submenu link and inner page link is also not working.

  28. #28
    Community-Moderator xchs's Avatar
    Join Date
    06-19-09.
    Posts
    1,149

    Default

    Which (commercial) theme is the website based on? It may well be that you need changes to the theme for Contao 4.8 or a current version of the theme.
    Contao Community Moderator
    → Support options

  29. #29
    New user
    Join Date
    08-20-19.
    Posts
    22

    Default

    Quote Originally Posted by xchs View Post
    Which (commercial) theme is the website based on? It may well be that you need changes to the theme for Contao 4.8 or a current version of the theme.
    How I can get theme details?

    and we are using code for slider this :
    <div id="header_after">
    <div class="inside"><?php echo $this->sections['slider']; ?></div>
    </div>

    and its not working in 4.8.1 and still working on 3.5.1

  30. #30
    Community-Moderator xchs's Avatar
    Join Date
    06-19-09.
    Posts
    1,149

    Default

    Quote Originally Posted by brokkoli View Post
    How I can get theme details?
    Probably in the theme settings: Layout > Themes

    You could also ask the person who bought and installed the theme.

    Why are the folders in the file manager unpublished again?
    Contao Community Moderator
    → Support options

  31. #31
    New user
    Join Date
    08-20-19.
    Posts
    22

    Default

    Quote Originally Posted by xchs View Post
    Probably in the theme settings: Layout > Themes

    You could also ask the person who bought and installed the theme.

    Why are the folders in the file manager unpublished again?

    Please check screenshots : https://nimb.ws/dK3vMi

  32. #32
    Community-Moderator xchs's Avatar
    Join Date
    06-19-09.
    Posts
    1,149

    Default

    It is the Quantum theme from Premium Contao Themes (PCT): http://preview.premium-contao-themes.com/quantum2/demo/

    They have their own support forum where you can get help regarding the theme update: https://forum.premium-contao-themes.com/

    You may want to switch over there.
    Last edited by xchs; 08/31/2019 at 12:12.
    Contao Community Moderator
    → Support options

  33. #33
    New user
    Join Date
    08-20-19.
    Posts
    22

    Default

    Quote Originally Posted by xchs View Post
    It is the Quantum theme from Premium Contao Themes (PCT): http://preview.premium-contao-themes.com/quantum2/demo/

    They have their own support forum where you can get help regarding the theme update: https://forum.premium-contao-themes.com/

    You may want to switch over there.

    Can i select Yakee theme as mentioned in above screenshot? if yes so how?

  34. #34
    Community-Moderator xchs's Avatar
    Join Date
    06-19-09.
    Posts
    1,149

    Default

    I suppose that Yakee is already the currently active theme (and this is based on Quantum from PCT).
    Contao Community Moderator
    → Support options

  35. #35
    New user
    Join Date
    08-20-19.
    Posts
    22

    Default

    Quote Originally Posted by xchs View Post
    I suppose that Yakee is already the currently active theme (and this is based on Quantum from PCT).
    Comment : ok and also can you please let me know what the problem with menu page or inner page link are not working properly and give us error message. why? and how i can fix them?

  36. #36
    Community-Moderator xchs's Avatar
    Join Date
    06-19-09.
    Posts
    1,149

    Default

    Quote Originally Posted by brokkoli View Post
    what the problem with menu page or inner page link are not working properly and give us error message.
    I'm currently only getting the Sedo Parking page.
    Contao Community Moderator
    → Support options

  37. #37
    New user
    Join Date
    08-20-19.
    Posts
    22

    Default

    Quote Originally Posted by xchs View Post
    I'm currently only getting the Sedo Parking page.
    Is there Revolution slider not available for 4.8.1 version ?

  38. #38
    Community-Moderator xchs's Avatar
    Join Date
    06-19-09.
    Posts
    1,149

    Default

    See: https://forum.premium-contao-themes....der-will-nicht

    As I already said above the support forum for PCT themes and modules is here: https://forum.premium-contao-themes.com/
    Contao Community Moderator
    → Support options

  39. #39
    New user
    Join Date
    08-20-19.
    Posts
    22

    Default

    Quote Originally Posted by xchs View Post
    I'm currently only getting the Sedo Parking page.

    Please check now and let me know if you still getting the Sedo parking page. please let me know for inner page or menu pages problem.

    And for Revolution slider, now we need to change slider for 4.8.1 or is there any other way?

  40. #40
    Community-Moderator xchs's Avatar
    Join Date
    06-19-09.
    Posts
    1,149

    Default

    Quote Originally Posted by brokkoli View Post
    Please check now and let me know if you still getting the Sedo parking page. please let me know for inner page or menu pages problem.
    No, now I get the Contao error page. This page also tells you what to do in such a case:
    Wie kann ich das Problem lösen?

    Öffnen Sie die aktuelle Log-Datei im Ordner var/logs und suchen Sie die zugehörige Fehlermeldung (normalerweise die letzte).


    Quote Originally Posted by brokkoli View Post
    And for Revolution slider, now we need to change slider for 4.8.1 or is there any other way?
    You could ask on the PCT forum if they plan to provide a compatible version of the Revolution slider.
    Contao Community Moderator
    → Support options

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •